# 图像分割项目说明文档

本项目是一个基于PyTorch实现的图像分割项目，使用U-Net模型进行训练和推理。以下是各个文件的详细说明：

## 核心文件说明

### model.py
- 示例模型文件

### train.py
- 示例训练代码

### infer.py
- 示例推理代码

### score_npy.py
- 示例评估代码


### img2npy.py
- 示例格式转换代码
- 主要内容：
  - 将图像转换为numpy数组格式（.npy）

## 目录结构

- `checkpoints/`: 保存训练好的模型文件
- `data/`: 存放训练和测试数据
  - `train/`: 训练集
  - `test/`: 测试集
- `ground_truth/`: 存放真实标签数据
- `infer_results/`: 存放模型预测结果
- `infer_results_npy/`: 存放NPY格式的预测结果

## 使用流程

1. 准备数据：将数据集放入data目录下的对应文件夹
2. 训练模型：运行train.py进行模型训练
3. 模型推理：使用infer.py对新数据进行预测
4. 转换格式：使用img2npy.py将推理结果转换为npy格式
5. 性能评估：使用score_npy.py评估模型性能


## 注意事项

- 确保数据格式正确（图像和标签对应）
- 可以根据需要调整模型参数和训练参数
- ground_truth也需要是npy格式
- 请自行划分训练集和测试集
- 输出结果的大小请保存为(512, 512)