import os
import cv2
import numpy as np
from tqdm import tqdm

input_dir = './infer_results'
output_dir = "./infer_results_npy"
os.makedirs(output_dir, exist_ok=True)
for filename in tqdm(os.listdir(input_dir), desc="Processing files"):
    if filename.endswith('.png'):
        # 构建完整的输入文件路径
        input_path = os.path.join(input_dir, filename)

        # 读取 PNG 图像
        image = cv2.imread(input_path, cv2.IMREAD_GRAYSCALE)
        image_resized = cv2.resize(image, (512, 512))
        image_array = np.array(image_resized)

        # 构建输出文件路径，保持原始文件名，只改变扩展名
        output_filename = os.path.splitext(filename)[0] + '.npy'
        output_path = os.path.join(output_dir, output_filename)

        # 保存为 .npy 文件
        np.save(output_path, image_array)

print("All PNG files have been converted to .npy files.")
